These are chat archives for dereneaton/ipyrad

25th
Jul 2018
Amanda Haponski
@ahaponski_twitter
Jul 25 2018 13:09
@isaacovercast Thanks for the info!! One quick follow up, will the nexus and phylip files include all of the loci or just the variable ones similar to the snp files. Thanks again!!
Isaac Overcast
@isaacovercast
Jul 25 2018 14:22
nex and phy are full sequence of all loci
tommydevitt
@tommydevitt
Jul 25 2018 15:28
@isaacovercast I may have found the problem. When I try to call structure by hand, I get
structure: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by structure)
tommydevitt
@tommydevitt
Jul 25 2018 15:49
@isaacovercast I had the same problem before when trying to use bpp. Our HPC has an old version of glibc (2.5). I think Structure requires at least 2.7. Any suggestions? Install glibc with conda?
Isaac Overcast
@isaacovercast
Jul 25 2018 16:07
@tommydevitt You could try compiling structure by hand on your cluster. That would work, i'm sure. I knew it was something wacky.
tommydevitt
@tommydevitt
Jul 25 2018 16:14
@isaacovercast OK, I've done that. How do I get ipyrad to use the new version of Structure compiled by hand instead of the one installed with conda?
Isaac Overcast
@isaacovercast
Jul 25 2018 17:17
just get rid of the conda version: conda remove structure
tommydevitt
@tommydevitt
Jul 25 2018 17:34

Done. But when I do

s = ipa.structure( name="quick", workdir="/work/02745/tdevitt/lonestar/Eurycea/JA17735/structure-analysis/", data="/work/02745/tdevitt/lonestar/Eurycea/JA17735/sosorum-min130_outfiles/sosorum-min130.ustr", )

I get

IPyradError:
To use the ipa.structure module you must install two additional
libraries which can be done with the following conda command.
conda install -c ipyrad structure clumpp
conda install -c eaton-lab toytree

And toytree is already installed, so not sure why I'm getting that error.